org.eclipse.ecf.osgi.services.remoteserviceadmin

## Class EndpointDescriptionWriter.SetProperty

- java.lang.Object
- - org.eclipse.ecf.osgi.services.remoteserviceadmin.EndpointDescriptionWriter.ComplexProperty
  - - org.eclipse.ecf.osgi.services.remoteserviceadmin.EndpointDescriptionWriter.MultiValueProperty
    - - org.eclipse.ecf.osgi.services.remoteserviceadmin.EndpointDescriptionWriter.SetProperty

Enclosing class:
  EndpointDescriptionWriter

    protected class EndpointDescriptionWriter.SetProperty
    extends EndpointDescriptionWriter.MultiValueProperty

### Constructor Summary

Constructors
Constructor and Description
`SetProperty(String key, Set value)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getValueType()`

### Methods inherited from class org.eclipse.ecf.osgi.services.remoteserviceadmin.EndpointDescriptionWriter.MultiValueProperty

`writeProperty`

### Methods inherited from class org.eclipse.ecf.osgi.services.remoteserviceadmin.EndpointDescriptionWriter.ComplexProperty

`getName, getValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SetProperty

    public SetProperty(String key,
                       Set value)

### Method Detail

#### getValueType

    public String getValueType()